
package de.ivu.elect.business.wahl.control;

import de.ivu.elect.business.benutzerverwaltung.boundary.RolleEdit;
import de.ivu.elect.business.kandidatenportal.control.WvpWahlkonfigurationAktualisierenEvent;
import de.ivu.elect.business.wahl.entity.Wahl;

import javax.inject.Inject;

public class WahlPostCreate {

  @Inject
  private transient RolleEdit rolleEdit;

  @Inject
  protected transient WvpWahlkonfigurationAktualisierenEvent wvpWahlkonfigurationAktualisierenEvent;

  public WahlPostCreate() {
    super();
  }

  public void postCreate(Wahl wahl) {
    rolleEdit.updateRolleArtFuerAlleRollen(wahl.getMandant());
    wvpWahlkonfigurationAktualisierenEvent.sendWvpWahlkonfigurationAktualisierenEvent(wahl.getPk());
  }
}
